Loading...
Searching...
No Matches
seqan3::dynamic_bitset_printer< dynamic_bitset< bit_capacity > > Struct Template Reference
Utility » Container

Prints seqan3::dynamic_bitset.

This entity is experimental and subject to change in the future. Experimental since version 3.1.

. More...

`#include <seqan3/utility/container/dynamic_bitset.hpp>`

Inheritance diagram for seqan3::dynamic_bitset_printer< dynamic_bitset< bit_capacity > >:
[legend]

## Public Member Functions

template<typename stream_t, typename arg_t>
constexpr void | operator() (stream_t &stream, arg_t &&arg) const
| Prints the dynamic bitset.

## Detailed Description

template<size_t bit_capacity>
struct seqan3::dynamic_bitset_printer< dynamic_bitset< bit_capacity > >

Prints seqan3::dynamic_bitset.

This entity is experimental and subject to change in the future. Experimental since version 3.1.

.

## Member Function Documentation

## operator()()

template<size_t bit_capacity>
template<typename stream_t, typename arg_t>

void seqan3::dynamic_bitset_printer< dynamic_bitset< bit_capacity > >::operator() | ( | stream_t & | stream,
|  | arg_t && | arg ) const

inline constexpr

Prints the dynamic bitset.

Template Parameters

  stream_t | The type of the stream.
  arg_t | The type of the argument.

Parameters

  [in,out] | stream | The output stream.
  [in] | arg | The dynamic bitset to print.

The documentation for this struct was generated from the following file:

- dynamic_bitset.hpp

Hide me